#include <stdio.h>
int main(){
    int n, m, i, j, k;
    int arr[100]={0};

    scanf("%d %d",&n, &m);
    
    while(m--){
        scanf("%d %d %d",&i,&j,&k);
        for(int x =i-1;x<j;x++){
            arr[x] = k;
        }
    }

    for(int t=0; t<n; t++){
        printf("%d ",arr[t]);
    }
}